package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.WFStep;
import com.sa.ibiz.demo.demo.service.dto.WFStepSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[WFStep] 服务对象接口
 */
public interface WFStepService extends IService<WFStep>{

	boolean remove(WFStep et);
	boolean create(WFStep et);
	boolean checkKey(WFStep et);
	boolean getDraft(WFStep et);
	boolean update(WFStep et);
		WFStep get(WFStep et);
    List<WFStep> listDefault(WFStepSearchFilter filter) ;
	Page<WFStep> searchDefault(WFStepSearchFilter filter);
	/**	 实体[WFStep] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }